package com.study.constant;

/**
 * @author CSDN 流放深圳
 * @description 常量
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
public class CommonKeys {

    /**
     * 成功编码
     */
    public static final int SUCCESS_CODE = 0;

    /**
     * 成功信息
     */
    public static final String SUCCESS_MSG = "success";

    /**
     * 失败编码
     */
    public static final int ERROR_CODE = -1;

    /**
     * 失败信息
     */
    public static final String ERROR_MSG = "error";

    /**
     * 证书所在目录
     */
    public static final String CERTIFICATE_DIRECTORY = "certificate";

    /**
     * 证书文件，名字可以根据实际需要改名字，比如加上你们公司的名字
     */
    public static final String CERTIFICATE_FILE = "licence.txt";

    /**
     * 证书长期有效
     */
    public static final String LONG_TERM = "long_term";

    /**
     * 长期有效的证书，给500年
     */
    public static final String LONG_TERM_END_DATE = "2500-01-01";

    /**
     * 证书到期前几天开始提醒
     */
    public static final Long REMIND_DATE = 7L;

}
