package com.study.service;

import com.study.entity.LicenceEntity;

import javax.servlet.http.HttpServletResponse;

/**
 * @author CSDN 流放深圳
 * @description 证书生成接口类
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
public interface LicenceService {

    /**
     * 创建证书 licence 内容
     * @param dtoEntity
     * @return
     */
    LicenceEntity createLicence(LicenceEntity dtoEntity);


    /**
     * 下载证书文件
     * @param dtoEntity
     * @param response
     */
    void downLoadLicence(LicenceEntity dtoEntity, HttpServletResponse response);

}
