package com.study.controller;

import com.study.annotation.CheckLicence;
import com.study.util.CallResult;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author CSDN 流放深圳
 * @description 业务层
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
@RestController
@RequestMapping("/client/licence")
public class LicenceController {

    @GetMapping("/hello")
    public CallResult hello() {
        return CallResult.success("证书验证通过!If you can see this message, it means your licence is effective.");
    }

    @GetMapping("/check")
    @CheckLicence//增加注解
    public CallResult check(){
        return CallResult.success("证书验证通过!If you can see this message, it means your licence is effective.");
    }

}
